rte_l2tpv2_common_hdr(3)

NAME
rte_l2tpv2_common_hdr

SYNOPSIS

#include <rte_l2tpv2.h>

Detailed Description

L2TPv2 Common Header

Definition at line 93 of file rte_l2tpv2.h.

Field Documentation

  rte_be16_t flags_version
header flags and protocol version

Definition at line 96 of file rte_l2tpv2.h.

  uint16_t ver
protocol version

Definition at line 100 of file rte_l2tpv2.h.

  uint16_t res3
reserved

Definition at line 101 of file rte_l2tpv2.h.

  uint16_t p
priority option bit

Definition at line 102 of file rte_l2tpv2.h.

  uint16_t o
offset option bit

Definition at line 103 of file rte_l2tpv2.h.

  uint16_t res2
reserved

Definition at line 104 of file rte_l2tpv2.h.

  uint16_t s
ns/nr option bit

Definition at line 105 of file rte_l2tpv2.h.

  uint16_t res1
reserved

Definition at line 106 of file rte_l2tpv2.h.

  uint16_t l
length option bit

Definition at line 107 of file rte_l2tpv2.h.

  uint16_t t
message Type

Definition at line 108 of file rte_l2tpv2.h.

Author

Generated automatically by Doxygen for DPDK from the source code.